#include "BaseModifierContainer.h"
#include "ModifierReplicatedEventConditionData.h"
#include "Templates/SubclassOf.h"
#include "Net/UnrealNetwork.h"

class UEventDrivenModifierCondition;

void UBaseModifierContainer::OnRep_ID()
{

}

void UBaseModifierContainer::OnRep_EventDrivenConditionData_Internal(const FModifierReplicatedEventConditionData& oldReplicatedCondition)
{

}

bool UBaseModifierContainer::IsApplicable() const
{
	return false;
}

UEventDrivenModifierCondition* UBaseModifierContainer::CreateAndSetEventDrivenCondition(TSubclassOf<UEventDrivenModifierCondition> conditionType)
{
	return NULL;
}

void UBaseModifierContainer::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UBaseModifierContainer, _id);
	DOREPLIFETIME(UBaseModifierContainer, _eventDrivenConditionData);
}

UBaseModifierContainer::UBaseModifierContainer()
{
	this->_id = NAME_None;
}
